# eslint-config-imperative-es6

#### An ESLint [Shareable Config](http://eslint.org/docs/developer-guide/shareable-configs)

JavaScript Imperative Style is just the stuff that actually matters rather than subjective preferences.

## Install
```bash
npm install eslint-config-imperative-es6
```

## Usage
Shareable configs are designed to work with the `extends` feature of `.eslintrc` files.
You can learn more about
[Shareable Configs](http://eslint.org/docs/developer-guide/shareable-configs) on the
official ESLint website.

To use the JavaScript Imperative ES6 Style shareable config, first run this:

```bash
npm install eslint-config-imperative-es6
```

Then, add this to your .eslintrc file:

```
{
  "extends": "imperative-es6"
}
```

*Note: We omitted the `eslint-config-` prefix since it is automatically assumed by ESLint.*

You can override settings from the shareable config by adding them directly into your
`.eslintrc` file.
